> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/scripting-reference/picklist_script_pick_box_connect.md).

# Module: picklist\_script\_pick\_box\_connect

## PicklistScriptingContext

### Attributes:

| Datatype                                                                      | Name              | Description                                     | Read-only |
| ----------------------------------------------------------------------------- | ----------------- | ----------------------------------------------- | --------- |
| [PickTrolley](/scripting-reference/types.md#PickTrolley)                      | pickTrolley       | Der verarbeitete Pickwagen/Konsolidierungsplatz | Yes       |
| [Picklist](/scripting-reference/types.md#Picklist)                            | picklist          | Die verarbeitete Pickliste                      | Yes       |
| *Map\<number,number>*                                                         | lineIdsWithBoxIds | Zuordnung von Boxen (ID) zu Positionen (ID)     | No        |
| [ScriptingServiceList](/scripting-reference/services.md#ScriptingServiceList) | services          | Services                                        | Yes       |
| *Map\<string,object>*                                                         | parameters        | Parameter zur Verwendung im Skript              | No        |

## PicklistScriptForExecutionProcess

Verarbeitet die Json-Daten

| Datatype                                              | Name | Description    | Required |
| ----------------------------------------------------- | :--: | -------------- | -------- |
| [PicklistScriptingContext](#PicklistScriptingContext) |  ctx | Skript-Kontext | Yes      |

## Instance: pickBoxConnector

### Description

Verteilung von Positionen einer Pickliste auf Pickboxen

### Methods

***setProcess***

Setter für Callback "process"

| Datatype                                                                |   Name   | Description        | Required |
| ----------------------------------------------------------------------- | :------: | ------------------ | -------- |
| [PicklistScriptForExecutionProcess](#PicklistScriptForExecutionProcess) | callback | Callback "process" | Yes      |

```
import pickBoxConnector from "picklist_script_pick_box_connect";

pickBoxConnector.setProcess( (ctx) => {
    // Link picklist-lines to pick-trolley-boxes
});

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/scripting-reference/picklist_script_pick_box_connect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
